PDA

View Full Version : New minimum system or device requirements after 2.8.1/2 patches?



gorgonzola65
03-29-2020, 04:56 PM
Hi Ubi-Bunny,

Could you please publish the minimum and recommended system or device requirements that existed both before and after the 2.8.1 and 2.8.2 patches? :confused:

It is quite apparent that many are having issues running the game after the update. I have been playing ACR sine Dec, 2018 on the same device I'm currently using. This is the most unstable I've seen the game since the first week or 2 after the Area 5 launch. If the minimum system required hasn't changed, then the game optimization must be somehow off.

Thanks! and have a cheesy day. ;)

gorgonzola65
05-15-2020, 06:13 PM
Would still like to see this information.

darthmarsden
05-15-2020, 06:57 PM
I suspect they don't have any hard data on it, unfortunately. Hopefully things'll be better after the 2.9.0 update they're aiming to get out around the end of May.

...not that it'll excuse them having had the game in this state for over 3 months, but...

Mamilaris
05-15-2020, 07:16 PM
Hi :)
For now, I was able to find this information on this topic
https://i.ibb.co/HBChzJD/Min-System-Req.jpg (https://ibb.co/4K21TQZ)
https://i.ibb.co/SnyW2TW/Req.jpg (https://ibb.co/pzwGgDG)

gorgonzola65
05-15-2020, 08:18 PM
See, this is the ambiguity of things...

To say the game can be run on Android 4.1 is ridiculous. 4.1 is from 2012, very few even high end devices running 4.1 in 2012 would have had 2G RAM and likely a max of 8 GB storage of which 2-3 GB would be used by the OS and bloatware. Also devices didn't start having octa core processors until the Galaxy S8 product family timeline (which launched with Android 8).

Mamilaris
05-15-2020, 08:39 PM
https://forums.ubisoft.com/showthread.php/2197000-Update-Notes-Version-2-8-1-NOW-AVAILABLE
Dear Ubi-Bunny made a statement about the topic "Update Notes - Version 2.8.1 - NOW AVAILABLE" on March 6, 2020, and it seems that at least 2 GB of RAM is needed to run the game.
https://i.ibb.co/BnSmwQc/2-gb-ram.jpg (https://ibb.co/z601NBQ)

Ubi-Bunny
05-19-2020, 08:21 PM
Hey all! After update 2.9.0, the new minimum OS requirements will be iOS 9 and Android OS 4.3. I will be posting this information in the update notes and I will be updating the FAQ. Just thought I would mention it here as well to help answer your questions!

Update 2.9.0 will also make improvements to the crash issues that players have been experiencing since update 2.8.1.

Mamilaris
05-19-2020, 08:55 PM
Hey all! After update 2.9.0, the new minimum OS requirements will be iOS 9 and Android OS 4.3. I will be posting this information in the update notes and I will be updating the FAQ. Just thought I would mention it here as well to help answer your questions!

Update 2.9.0 will also make improvements to the crash issues that players have been experiencing since update 2.8.1.

OMG! This is Super News and a nice Optimization improvement :)
Thank you very much Dear Ubi-Bunny
Game optimization will be better and I'm sure that the game will get better with freezing, sudden crashing and Animus Carousel problems patch 2.9.0.